COUNTCOUNT
Sign Up
BillsDelete a bill

Delete a bill

DELETE/partners/bills/{uuid}

Soft-deletes a draft bill.

Bills with paidAmount > 0 cannot be deleted. Unassign payments first.

HMAC signature + Bearer access token
Try this request

Path parameters

uuiduuidrequired

The bill UUID to delete.

Responses

200Bill deleted.
400Bill has payments applied and cannot be deleted.
404Bill not found.
401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot
403The credential does not have access to this workspace or resource. Troubleshoot
429Rate limit exceeded (100 requests per minute per clientId). Retry after the Retry-After header. Troubleshoot
DELETEhttps://api.getcount.com/partners/bills/{uuid}
Request
import crypto from 'node:crypto';

const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;

const method = 'DELETE';
const signingPath = '/bills/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const bodyString = '';

const bodyHash = '';
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');

const response = await fetch(`${BASE_URL}/partners/bills/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
  method,
  headers: {
    'x-client-id': CLIENT_ID,
    'x-timestamp': timestamp,
    'x-signature': signature,
    Authorization: `Bearer ${ACCESS_TOKEN}`,
  },
});

console.log(await response.json());
Response · 200
{
  "status": "success",
  "message": "Bill deleted successfully",
  "data": {
    "id": "b2c3d4e5-f6a7-8901-bcde-f23456789012",
    "isDeleted": true
  }
}